## com.saxonica.expr
Class DiscardRuleSet

    java.lang.Object
      com.saxonica.expr.DiscardRuleSet

All Implemented Interfaces:
  Serializable, BuiltInRuleSet

    public class DiscardRuleSet

extends Object
implements BuiltInRuleSet

The rule set introduced in XSLT 3.0, which (for any kind of node) simply ignores the node and its descendants.

See Also:
  Serialized Form

Method Summary
`static DiscardRuleSet` `getInstance()` Get the singleton instance of this class
`void` `process(NodeInfo node, ParameterSet parameters, ParameterSet tunnelParams, XPathContext context, int locationId)` Perform the built-in template action for a given node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static DiscardRuleSet getInstance()

  Get the singleton instance of this class

  Returns:
    the singleton instance

### process

    public void process(NodeInfo node,
                        ParameterSet parameters,
                        ParameterSet tunnelParams,
                        XPathContext context,
                        int locationId)
                 throws XPathException

  Perform the built-in template action for a given node.

  Specified by:
    `process` in interface `BuiltInRuleSet`
  Parameters:
    `node` - the node to be processed
    `parameters` - the parameters supplied to apply-templates
    `tunnelParams` - the tunnel parameters to be passed through
    `context` - the dynamic evaluation context
    `locationId` - location of the instruction (apply-templates, apply-imports etc) that caused the built-in template to be invoked
  Throws:
    `XPathException` - if any dynamic error occurs

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.